com.google.gwt.uibinder.elementparsers

## Class ComputedAttributeInterpreter

- java.lang.Object
- - com.google.gwt.uibinder.elementparsers.ComputedAttributeInterpreter

All Implemented Interfaces:
  com.google.gwt.uibinder.rebind.XMLElement.Interpreter<java.lang.String>

    class ComputedAttributeInterpreter
    extends java.lang.Object
    implements com.google.gwt.uibinder.rebind.XMLElement.Interpreter<java.lang.String>

Assigns computed values to element attributes, e.g. styleName={resources.style.pretty}, which will become something like myWidget.setStyleName(resources.style().pretty()) in the generated code.

### Nested Class Summary

Nested Classes
`(package private) class` `ComputedAttributeInterpreter.DefaultDelegate`
`(package private) static interface` `ComputedAttributeInterpreter.Delegate`

### Constructor Summary

Constructors
Constructor and Description
`ComputedAttributeInterpreter(com.google.gwt.uibinder.rebind.UiBinderWriter writer)`
`ComputedAttributeInterpreter(com.google.gwt.uibinder.rebind.UiBinderWriter writer, ComputedAttributeInterpreter.Delegate delegate)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `interpretElement(com.google.gwt.uibinder.rebind.XMLElement elem)` Given an XMLElement, return its filtered value.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ComputedAttributeInterpreter

    public ComputedAttributeInterpreter(com.google.gwt.uibinder.rebind.UiBinderWriter writer)

#### ComputedAttributeInterpreter

    public ComputedAttributeInterpreter(com.google.gwt.uibinder.rebind.UiBinderWriter writer,
                                        ComputedAttributeInterpreter.Delegate delegate)

### Method Detail

#### interpretElement

    public java.lang.String interpretElement(com.google.gwt.uibinder.rebind.XMLElement elem)
                                      throws UnableToCompleteException

Description copied from interface: `com.google.gwt.uibinder.rebind.XMLElement.Interpreter`
Given an XMLElement, return its filtered value.

Specified by:
  `interpretElement` in interface `com.google.gwt.uibinder.rebind.XMLElement.Interpreter<java.lang.String>`
Throws:
  `UnableToCompleteException` - on error